#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main(int argc, char* argv[]) {

    printf("---- Starting parent ----\n");

    if (argc < 2) {
        fprintf(stderr, "Sintassi: %s num-zombie\n", argv[0]);
        exit(EXIT_FAILURE);
    }

    int i, zombie = atoi(argv[1]);

    for (i=0; i<zombie; ++i) {
        int res = fork();

        if (res == -1) {
            perror("fork");
            exit(EXIT_FAILURE);
        }

        if (res == 0) {
            printf("    - created zombie with pid %d (process terminated, with remaining corpse)\n", getpid());
            _exit(EXIT_FAILURE);
        }
    }


    printf("---- Parent pid %d stops collecting exit codes and makes zombies -----\n", getpid());

    sleep(60);

    printf("---- Ending parent ----\n");

    return EXIT_SUCCESS;
}
