#include <stdio.h>
#include <stdlib.h>
#include "e5.h"

int main(int argc, char* argv[]) {

    if (argc < 3) {
        fprintf(stderr, "sintassi: %s file1 file2\n", argv[0]);
        return EXIT_FAILURE;
    }

    int res = file_eq(argv[1], argv[2]);

    if (res == -1) {
        perror("file_eq");
        return EXIT_FAILURE;
    }

    printf("Uguali: %s\n", res == 0 ? "sì" : "no");

    return EXIT_SUCCESS;
}
